Flow Music
Music Video Rendering
Flow Music renders music into an mp4 video from a template, supporting three presets: simple / modern / player
POST
Authentication
All endpoints require Bearer Token authenticationGet your API Key:Visit the API Key management page to get your API KeyAdd it to the request header:
Request Parameters
Model name, must be
"flowmusic" (case-insensitive)clip_id of the music to generate a video for, from a successful task’s
result.music[].clip_idVideo template presetOptions:
simple- Clean templatemodern- Modern-style templateplayer- Player-style template
Response
Response status code, 200 on success
Array of returned data
Use Cases
Scenario 1: Render a music video with the modern template
Query Task ResultsMusic video rendering is an asynchronous task; a
task_id is returned after submission. Use the Get Task Status endpoint to query generation progress and results. The result is in result.music[0].video_url.Completed Task Result Example
Query response example (GET /v1/music/tasks/{task_id}):